Subject: Re: [PATCH 1/1][PKT_CLS] Avoid multiple tree locks

From: Patrick McHardy <[email-masked]>
Date: Wed, 21 Mar 2007 11:10:02 +0100

jamal wrote:
> Seems to have been around a while. IMO, mterial for 2.6.21 but not
> stable. I have only compile-tested but it looks right(tm).

Its harmless since its a read lock, which can be nested. I actually
don't see any need for qdisc_tree_lock at all, all changes and all
walking is done under the RTNL, which is why I've removed it in
my (upcoming) patches. I suggest to leave it as is for now so I
don't need to change the __qdisc_lookup back to qdisc_lookup in
2.6.22.